### Function

# Fwupd BiosSetting array_from_variant

since: 1.8.4

#### Declaration [src]

    GPtrArray*
    fwupd_bios_setting_array_from_variant (
      GVariant* value
    )

#### Description [src]

Creates an array of new bios settings using serialized data.

Available since: 1.8.4

#### Parameters

`value`

  Type: `GVariant`

  The serialized data.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `FwupdBiosSetting*`

Attributes, or `NULL` if `value` was invalid.

The caller of the function takes ownership of the data container, but not the data inside it.